post
https://services.azuga.com/reports/v3/reports/classic/diagnostics
This API allows the user to view the Diagnostics Report of a vehicle.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
{
"index": 0,
"size": 1,
"filter": {
"matchFilter": {
"vehicleIds": [
"6b0490a4-974d-11ec-b997-c3a3a316b3c8"
]
}
},
"startDate": "2022-08-06T18:30:00.000Z",
"endDate": "2022-08-08T18:29:59.000Z",
"reportFilter": "activity",
"browserTimezone": "Asia/Calcutta"
}API Response explanation
| Field | Description | Data Type |
|---|---|---|
| result | Array of elements related to the diagnostics and vehicle | Object |
| address | Address of the location where the event occurred | String |
| code | Diagnostic code | String |
| description | Description of the diagnostic code | String |
| lat | Latitude of the location where the event occurred | Double |
| lng | Longitude of the location where the event occurred | Double |
| spnCode | Suspect Parameter Numbers(SPN) code | String |
| spnDescription | Description of the SPN code | String |
| fmiCode | Failure Mode Indicator(FMI) code | String |
| fmiDescription | Description of the FMI code | String |
| detailedDescription | Detailed description of the code | String |
| vehicle | Name of the vehicle | String |
| group | Name of the group | String |
| groupId | Unique identifier representing the group | String |
| driver | Name of the driver | String |
| driverId | Unique identifier representing the driver | String |
| dateTime | Event time in GMT | Timestamp |
| dateTimeExportReport | Event time in local timezone | String |
| assetno | For internal Azuga use | String |
| firstName | For internal Azuga use | String |
| lastName | For internal Azuga use | String |
| parentGroup | Parent group of the group associated with the vehicle | String |
| foreParentGroup | For internal Azuga use | String |
| vehicleId | Unique identifier representing the vehicle | String |
| dtcCount | For internal Azuga use | BigInteger |
| dtcCountString | For internal Azuga use | String |
| make | Make of the vehicle | String |
| model | Model of the vehicle | String |
| year | Year of the vehicle | Integer |
| protocol | Protocol read by the device | String |
| repairImportance | The level indicates the importance of the repair | String |
| severityLevel | The level indicates the severity of the issue | String |
| symptoms | Field describes the symptoms found in the vehicle | List<String> |
| possibleCauses | This field describes the possible causes for the DTC event to trigger | List<String> |
| timezone | Timezone of the vehicle | String |
| pages | Information related to results page and pagination.
| Object |
| preferences | Preferences set by the user to generate the breadcrumbs report. | Object |

